<?php

namespace NoccyLabs\FreshDocker\Configuration;

use Symfony\Component\Yaml\Yaml;

class LocalConfiguration
{

    private array $config = [];

    public function __construct(string $configfile)
    {
        $this->config = Yaml::parseFile($configfile);
    }

    public function getChecks(): array
    {
        return $this->config['check']??[];
    }
}